## START: Set by rpmautospec
## (rpmautospec version 0.5.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 7;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name plotnine

# Use forge macros to pull from GitHub
%global forgeurl https://github.com/has2k1/plotnine

# Run selected tests
%bcond tests 1

# Run all tests
%bcond all_tests 0

Name:           python-%{pypi_name}
Version:        0.12.4
Release:        %{autorelease}
Summary:        Implementation of a grammar of graphics in Python, based on ggplot2
%forgemeta
BuildArch:      noarch
# https://fedoraproject.org/wiki/Changes/EncourageI686LeafRemoval
ExcludeArch: %{ix86}

# BSD-3-Clause applies to plotnine/themes/seaborn_rcmod.py
# GPL-2.0-only applies to plotnine/themes/theme_tufte.py
License:        MIT AND BSD-3-Clause AND GPL-2.0-only
URL:            https://plotnine.readthedocs.io/en/stable
Source0:        %forgesource

%global _description %{expand:
Implementation of a grammar of graphics in Python, based on ggplot2.

The grammar allows users to compose plots by explicitly mapping data to
the visual objects that make up the plot.

Plotting with a grammar is powerful, it makes custom (and otherwise complex)
plots easy to think about and then create, while the simple plots remain
simple.

Welcome to Plot 9 from Outerspace 🪐 🦇}

%description %_description


%package -n python3-%{pypi_name}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-geopandas
BuildRequires:  python3-adjustText
BuildRequires:  comic-neue-fonts
BuildRequires:  git-core
%if %{with tests}
BuildRequires:  python3-pytest
# Below packages are from extra extra, which we provide, but it looks
# like it's not being installed, but needed for test
BuildRequires:  python3-adjustText
BuildRequires:  python3-scikit-misc
BuildRequires:  python3-scikit-learn
BuildRequires:  python3-geopandas
# Test dependencies
BuildRequires:  python3-shapely
BuildRequires:  python3-statsmodels
%endif

%description -n python3-%{pypi_name} %_description


%pyproject_extras_subpkg -n python3-%{pypi_name} extra


%prep
%forgeautosetup -p1 -S git
# Disable coverage in pytest
sed -i -e 's/--cov=plotnine --cov-report=xml //' pyproject.toml
git add --all
git commit -m '[Fedora]: Disable linters'
git tag v%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l %{pypi_name}


%check
%if %{with tests}
%if %{without all_tests}
# For a a more readable input to %%pytest
k="${k-}${k+ and }not logticks"
k="${k-}${k+ and }not facet"
k="${k-}${k+ and }not label"
k="${k-}${k+ and }not ribbon"
k="${k-}${k+ and }not arrow"
k="${k-}${k+ and }not adjust_text"
k="${k-}${k+ and }not caption_simple"
k="${k-}${k+ and }not theme"
k="${k-}${k+ and }not scale"
k="${k-}${k+ and }not coords"
k="${k-}${k+ and }not geom_bar_col_histogram"
k="${k-}${k+ and }not geom_bin_2d"
k="${k-}${k+ and }not geom_boxplot"
k="${k-}${k+ and }not geom_density"
k="${k-}${k+ and }not geom_dotplot"
k="${k-}${k+ and }not geom_map"
k="${k-}${k+ and }not geom_point"
k="${k-}${k+ and }not geom_raster"
k="${k-}${k+ and }not geom_violin"
k="${k-}${k+ and }not lint_and_format"
k="${k-}${k+ and }not position"
k="${k-}${k+ and }not qplot"
k="${k-}${k+ and }not stat_ecdf"
k="${k-}${k+ and }not stat_summary"
%endif
%pytest -v ${k+-k }"${k-}"
%else
%pyproject_check_import
%endif


%files -n python3-plotnine -f %{pyproject_files}
%doc README.md


%changelog
## START: Generated by rpmautospec
* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jan 04 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.12.4-5
- Assert a license file is automatically handled; don’t package a duplicate

* Fri Nov 17 2023 Sandro <devel@penguinpee.nl> - 0.12.4-4
- Review exclusion list

* Fri Nov 17 2023 Sandro <devel@penguinpee.nl> - 0.12.4-3
- Use modular, expandable test exclusion syntax

* Thu Nov 16 2023 Sandro <devel@penguinpee.nl> - 0.12.4-2
- Tag build for setupstools_scm

* Thu Nov 16 2023 Sandro <devel@penguinpee.nl> - 0.12.4-1
- Update to 0.12.4 (RHBZ#2248134)

* Thu Nov 16 2023 Sandro <devel@penguinpee.nl> - 0.12.3-4
- Add Packit config

* Thu Nov 16 2023 Sandro <devel@penguinpee.nl> - 0.12.3-2
- Use forge macros and pull from GitHub

* Sun Sep 03 2023 Sandro <devel@penguinpee.nl> - 0.12.3-1
- Update to 0.12.3 (RHBZ#2224511)

* Thu Jul 20 2023 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.12.1-2
- Rebuild for Python 3.12b4

* Sun Jul 02 2023 Sandro <devel@penguinpee.nl> - 0.12.1-1
- Update to 0.12.1 (RHBZ#2196634)

* Wed Apr 19 2023 Sandro <devel@penguinpee.nl> - 0.10.1-8
- Drop '-S git' from %%autosetup since we have no patches

* Tue Apr 18 2023 Sandro <devel@penguinpee.nl> - 0.10.1-7
- Rebuild for updated python-mizani

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Dec 19 2022 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.10.1-5
- Drop support for i686

* Tue Nov 01 2022 Sandro <devel@penguinpee.nl> - 0.10.1-4
- Fix tests for f36
- Remove test files causing ImportError
- Disable one additional test in f36

* Mon Oct 24 2022 Sandro <devel@penguinpee.nl> - 0.10.1-3
- Initial release (RHBZ#2133439)

* Mon Oct 24 2022 Sandro <devel@penguinpee.nl> - 0.10.1-2
- amend! Initial release (BZ#2133439)

* Mon Oct 24 2022 Sandro <devel@penguinpee.nl> - 0.10.1-1
- Initial release (BZ#2133439)
## END: Generated by rpmautospec
